Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface IAct

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AAccessor, AAct, AAll, AAny, ABuild, ABuildGeography, ABuildGrid, ABuildNetwork, ABuildProjection, ABuildSpace, ACause, ACommand, AConnect, AControl, ACreateAgents, ACreateShapedAgents, ADerive, ADie, ADiffuse, ADisconnect, AEvaluate, AGroup, AInitialize, ALeave, ALoadAgents, ALoadShapedAgents, ALogic, AMethod, AMove, ANetwork, ANone, AOrdering, APerform, AQuery, AReplace, ARoot, ARule, ASchedule, ASelect, ASet, ASink, ATest, ATransform, AWatch

All Known Implementing Classes:
  AAccessorImpl, AActImpl, AAllImpl, AAnyImpl, ABuildGeographyImpl, ABuildGridImpl, ABuildImpl, ABuildNetworkImpl, ABuildProjectionImpl, ABuildSpaceImpl, ACauseImpl, ACommandImpl, AConnectImpl, ACreateAgentsImpl, ACreateShapedAgentsImpl, ADeriveImpl, ADieImpl, ADiffuseImpl, ADisconnectImpl, AEvaluateImpl, AGroupImpl, AInitializeImpl, ALeaveImpl, ALoadAgentsImpl, ALoadShapedAgentsImpl, ALogicImpl, AMethodImpl, AMoveImpl, ANetworkImpl, ANoneImpl, APerformImpl, AQueryImpl, AReplaceImpl, ARuleImpl, AScheduleImpl, ASelectImpl, ASetImpl, ASinkImpl, ATransformImpl, AWatchImpl

    public interface IAct

extends IID

A representation of the model object ' IAct'.

Author:
  Miles Parker
See Also:
  `MetaABMPackage.getIAct()`

Method Summary

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD